;;;********************************************************************
;;;           
;;;                          VNP.LSP v.1
;;;               Copyright,1993-99        ..
;;;                      AutoCAD for Windows
;;;                           05.05.99                     
;;;                   E-Mail: nest@mail.ru
;;;;*******************************************************************
(defun c:vnp (/ p1 p2 p3 x y x2 y2 i ch ch1)

  (setq	olderr	*error*			; Initialize variables
	*error*	prerr
  )
  (command "-OSNAP" "_OFF")
  (setvar "blipmode" 0)
  (setvar "cmdecho" 0)

  (while (setq p2 (getpoint "\n   : "))

    (setq p1 (getpoint "\n   : ")
	  x  (car p1)
	  y  (cadr p1)
	  x2 (car p2)
	  y2 (cadr p2)
	  i  0
    )

    (setq ch (getint "\n  : "))

    (command "LINE" p1 p2 "")

    (command "DONUT" 0 0.5 p2 "")
    (setq p3 p1)
    (while ch
      (setq ch1 (itoa ch))

      (if (<= x x2)
	(command
	  "LINE"
	  p3
	  (list (- x 10) (cadr p3))
	  ""
	  "TEXT"
	  "j"
	  "c"
	  (list (- x 5) (+ (cadr p3) 2))
	  5
	  0
	  ch1
	)
	(command
	  "LINE"
	  p3
	  (list (+ x 10) (cadr p3))
	  ""
	  "TEXT"
	  "j"
	  "c"
	  (list (+ x 5) (+ (cadr p3) 2))
	  5
	  0
	  ch1
	)
      ) ;_end if

      (if (/= i 0)
	(command "LINE" (list x (+ (cadr p3) 10)) p3 "")
      )					;if;_ end if
      (setq p3 (list x (- (cadr p3) 10))
	    i  (1+ i)
      )
      (setq ch (getint "\n  : "))
    ) ;_end while ch


  ) ;_end while p2
  (setvar "blipmode" 1)
  (setvar "cmdecho" 1)
  (command "REDRAW")
  (setq *error* olderr)			; Rest ore old *error* handler
  (princ)
) ;_end